#!/bin/csh
#*******************************************************************************
#
# MOD : FormatControl
# ROL : Check if a netcdf file is compliant with a format definition (argo, oco,
#       oceansites, ...)
# AUT : Ifremer
# VER : control.csh applicationVersion
#
#*******************************************************************************


#-------------------------------------------------------------------------------
# Configuration
# JAVA is the path where the java runtime environment (jre) is installed
# EXE is the path where the application FormatControl is installed
#-------------------------------------------------------------------------------
set EXE=/home/transit/coriolis/cg_tmp/checker/format_control
set JAVA = /export/home/logiciels/java/jre/bin/java

#-------------------------------------------------------------------------------
# Launch the application
#-------------------------------------------------------------------------------
# Exit if the number of arguments is different from 1 and if the first argument is not a file
if ($#argv != 1) then
  echo "Number of parameters incorrect, using NetcdfFile"
  exit 1
else
  set file = $argv[1]
endif

# Get absolute path
set  abs_file = "`readlink -f $file`"

# Launch checker
cd $EXE
set JAR = ./jar/formatcheckerClassic-1.17-jar-with-dependencies.jar
set RESOURCES = ./resources/

$JAVA -cp "${JAR}:${RESOURCES}" -Dapplication.properties=application.properties -Dfile.encoding=UTF8 oco.FormatControl $abs_file
